

camera {location <.4,0,-1>*1400 look_at <0,0,0> angle 28}
light_source {   <300,800 ,-8300>, rgb <.8,.8,1> }

#declare event = 
disc { <0, 0, 0>, -z, 1
   texture {
     normal {
        waves 0.2
        rotate x*180
        rotate z*30
        frequency 5000
        scale 180
        phase clock*-.5
     }
     pigment {
       image_map {
          png "eventtex.png"
          once
          transmit all .5 filter all 0
       }
    }
    finish {
      ambient 1
      brilliance 2
      diffuse 1.2
      metallic
      specular 0.1
      roughness 1/80
      reflection 0.5
    }
    scale 2
    translate <-1,-1,0>
  }
} 
object {
  event
  scale 225
  }
#include "StargateGlyphs2.pov"  

#declare gatecore = lathe { bezier_spline
16,
<50.065603,-5.00656>,<56.890039,-5.089261>,<58.239346,-5.030173>,<65.086695,-5.033683>,
<65.086695,-5.033683>,<65.145226,-2.692435>,<65.046491,2.925827>,<65.028164,5.033683>,
<65.028164,5.033683>,<60.111543,5.033683>,<52.269019,4.894841>,<50.065603,5.00656>,
<50.065603,5.00656>,<50.151923,1.38112>,<50.238243,-2.07168>,<50.065603,-5.00656>
}

#declare GlyphBlock = difference { 
  cylinder {-10*y,10*y,558.322/2 } 
  cone {4*y,472/2,10.0001*y,559/2} //<Base_Point>, Base_Radius, <Cap_Point>, Cap_Radius
  cone {-4*y,472/2,-10.0001*y,559/2}
  cylinder {-y*10.000001,y*10.000001,472.288/2} 
  box {<-3,0,0><3,10,(559-472)/2> rotate -x*10 translate z*472/2 rotate -y*180/39}
  box {<-3,0,0><3,10,(559-472)/2> rotate -x*10 translate z*472/2 rotate  y*180/39}
  plane { x,0 rotate -y*180/39}
  plane {-x,0 rotate  y*180/39}
}
#declare InnerRing2 = merge { object { gatecore scale <4.5,2.7,4.5> }
object { Origin           scale <1,20,1> translate -<318.213,0,315.613> }
object { Crater           scale <1,20,1> translate -<318.213,0,315.613> }
object { Virgo            scale <1,20,1> translate -<318.213,0,315.613> }
object { Bootes           scale <1,20,1> translate -<318.213,0,315.613> }
object { Centaurus        scale <1,20,1> translate -<318.213,0,315.613> }
object { Libra            scale <1,20,1> translate -<318.213,0,315.613> }
object { Serpens_Caput    scale <1,20,1> translate -<318.213,0,315.613> }
object { Norma            scale <1,20,1> translate -<318.213,0,315.613> }
object { Scorpius         scale <1,20,1> translate -<318.213,0,315.613> }
object { Corona_Australis scale <1,20,1> translate -<318.213,0,315.613> }
object { Scutum           scale <1,20,1> translate -<318.213,0,315.613> }
object { Sagittarius      scale <1,20,1> translate -<318.213,0,315.613> }
object { Aquila           scale <1,20,1> translate -<318.213,0,315.613> }
object { Microscopium     scale <1,20,1> translate -<318.213,0,315.613> }
object { Capricornus      scale <1,20,1> translate -<318.213,0,315.613> }
object { Piscis_Austrinus scale <1,20,1> translate -<318.213,0,315.613> }
object { Equuleus         scale <1,20,1> translate -<318.213,0,315.613> }
object { Aquarius         scale <1,20,1> translate -<318.213,0,315.613> }
object { Pegasus          scale <1,20,1> translate -<318.213,0,315.613> }
object { Sculptor         scale <1,20,1> translate -<318.213,0,315.613> }
object { Pisces           scale <1,20,1> translate -<318.213,0,315.613> }
object { Andromeda        scale <1,20,1> translate -<318.213,0,315.613> }
object { Triangulum       scale <1,20,1> translate -<318.213,0,315.613> }
object { polygon366       scale <1,20,1> translate -<318.213,0,315.613> }
object { Perseus          scale <1,20,1> translate -<318.213,0,315.613> }
object { Cetus            scale <1,20,1> translate -<318.213,0,315.613> }
object { Taurus           scale <1,20,1> translate -<318.213,0,315.613> }
object { Auriga           scale <1,20,1> translate -<318.213,0,315.613> }
object { Eridanus         scale <1,20,1> translate -<318.213,0,315.613> }
object { Orion            scale <1,20,1> translate -<318.213,0,315.613> }
object { Canis_Minor      scale <1,20,1> translate -<318.213,0,315.613> }
object { Monoceros        scale <1,20,1> translate -<318.213,0,315.613> }
object { Gemini           scale <1,20,1> translate -<318.213,0,315.613> }
object { Hydra            scale <1,20,1> translate -<318.213,0,315.613> }
object { Lynx             scale <1,20,1> translate -<318.213,0,315.613> }
object { Cancer           scale <1,20,1> translate -<318.213,0,315.613> }
object { Sextans          scale <1,20,1> translate -<318.213,0,315.613> }
object { Leo_Minor        scale <1,20,1> translate -<318.213,0,315.613> }
object { Leo              scale <1,20,1> translate -<318.213,0,315.613> }
#local cb = 1.5;
  texture {
    pigment {
      agate
      color_map {
        [0.2 color rgb <0.50, 0.60, 0.50>*cb ]
        [0.6 color rgb <0.60, 0.70, 0.60>*cb ]
        [1.0 color rgb <0.55, 0.60, 0.50>*cb ]
      }
      scale 0.2
      warp { turbulence 0.5 }
    }
    finish {
      specular 0.1
      diffuse 0.8
      ambient 0.1
    }
    normal {
      granite 0.6
      scale 0.06
    }
  }
  rotate -x*90
} 
object {InnerRing2}
/*
#declare InnerRing = union {

  difference {object {GlyphBlock rotate  0*y*360/39} object { Origin           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  1*y*360/39} object { Crater           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  2*y*360/39} object { Virgo            scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  3*y*360/39} object { Bootes           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  4*y*360/39} object { Centaurus        scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  5*y*360/39} object { Libra            scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  6*y*360/39} object { Serpens_Caput    scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  7*y*360/39} object { Norma            scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  8*y*360/39} object { Scorpius         scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate  9*y*360/39} object { Corona_Australis scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 10*y*360/39} object { Scutum           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 11*y*360/39} object { Sagittarius      scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 12*y*360/39} object { Aquila           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 13*y*360/39} object { Microscopium     scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 14*y*360/39} object { Capricornus      scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 15*y*360/39} object { Piscis_Austrinus scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 16*y*360/39} object { Equuleus         scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 17*y*360/39} object { Aquarius         scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 18*y*360/39} object { Pegasus          scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 19*y*360/39} object { Sculptor         scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 20*y*360/39} object { Pisces           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 21*y*360/39} object { Andromeda        scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 22*y*360/39} object { Triangulum       scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 23*y*360/39} object { polygon366       scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 24*y*360/39} object { Perseus          scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 25*y*360/39} object { Cetus            scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 26*y*360/39} object { Taurus           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 27*y*360/39} object { Auriga           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 28*y*360/39} object { Eridanus         scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 29*y*360/39} object { Orion            scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 30*y*360/39} object { Canis_Minor      scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 31*y*360/39} object { Monoceros        scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 32*y*360/39} object { Gemini           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 33*y*360/39} object { Hydra            scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 34*y*360/39} object { Lynx             scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 35*y*360/39} object { Cancer           scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 36*y*360/39} object { Sextans          scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 37*y*360/39} object { Leo_Minor        scale y*10 translate -<318.213,0,315.613>}}
  difference {object {GlyphBlock rotate 38*y*360/39} object { Leo              scale y*10 translate -<318.213,0,315.613>}}   
  texture {
    pigment {rgb <1,1,1>}
    //normal {agate 0.5 scale 3}
  }
  rotate -x*90
}

//object {InnerRing}
*/